OpenVDB 3.2.0

Public Member Functions | Protected Member Functions | List of all members
Exception Class Reference

`#include <Exceptions.h>`

Inherits exception.

Inherited by ArithmeticError, IllegalValueException, IndexError, IoError, KeyError, LookupError, NotImplementedError, ReferenceError, RuntimeError, TypeError, and ValueError.

## Public Member Functions
virtual const char * | what () const throw ()
virtual | ~Exception () throw ()

## Protected Member Functions
| Exception () throw ()
| Exception (const char *eType, const std::string *const msg=NULL) throw ()

## Constructor & Destructor Documentation

## ◆ ~Exception()

virtual ~Exception | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

## ◆ Exception() [1/2]

Exception | ( |  | ) |
throw | ( |
| ) |  |
| inline protected

## ◆ Exception() [2/2]

Exception | ( | const char * | eType,
|  | const std::string *const | msg = `NULL`
| ) |  |
throw | ( |
| ) |  |
| inline explicit protected

## Member Function Documentation

## ◆ what()

virtual const char* what | ( |  | ) | const
throw | ( |
| ) |  |
| inline virtual

The documentation for this class was generated from the following file:

- Exceptions.h